package com.zd.laboratory.domain.vo;

import com.zd.common.core.enums.WorkTypeEnum;
import com.zd.common.security.utils.DictUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: zhoupan
 * @Date: 2021/09/17/19:25
 * @Description:
 */
@ApiModel("待办工作")
public class ToDoWork {

    //    private Long id;
    @ApiModelProperty("内容")
    private String content;
    @ApiModelProperty("用户ID")
    private Long userId;
    @ApiModelProperty("用户名称")
    private String userName;
    @ApiModelProperty("待办ID")
    private Long toDoId;
    @ApiModelProperty("实验室ID")
    private Long subjectId;
    @ApiModelProperty("实验室")
    private String subjectName;
    @ApiModelProperty("待办类型")
    private WorkTypeEnum workType;

    public ToDoWork() {
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getContentPlus() {
        if (WorkTypeEnum.CAMERA.equals(workType)) {
            return subjectName + ":" + content;
        }
        return userName + ":" + content;
    }


    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getToDoId() {
        return toDoId;
    }

    public void setToDoId(Long toDoId) {
        this.toDoId = toDoId;
    }


    public WorkTypeEnum getWorkType() {
        return workType;
    }

    public void setWorkType(WorkTypeEnum workType) {
        this.workType = workType;
    }

    public ToDoWork(String title, WorkTypeEnum workType) {
        this.content = title;
        this.workType = workType;
    }
}
